Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv887/scripts
Modified Files:
Tag: rel-1-2-patches
build.sh
Log Message:
make sure cpu type get's correctly replaced
error out, if we can't determine the kernel version
Index: build.sh
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/build.sh,v
retrieving revision 1.79.2.5
retrieving revision 1.79.2.6
diff -u -d -r1.79.2.5 -r1.79.2.6
--- build.sh 20 Jul 2005 18:00:57 -0000 1.79.2.5
+++ build.sh 7 Oct 2005 14:22:33 -0000 1.79.2.6
@@ -282,10 +282,16 @@
test -f /bin/uname.old || cp /bin/uname /bin/uname.old || exit 1
rm /bin/uname || exit 1
REALKERNEL=$(/bin/uname.old -r)
- echo "/bin/uname.old \$* | sed -e 's/i.86/i$CONFIG_CPU/' | sed -e 's/x86_64/i$CONFIG_CPU/' | sed -e 's/$REALKERNEL/$KERNELVERSION/'" > /bin/uname || exit 1
+ echo "/bin/uname.old \$* | sed -e 's/i.86/i$CONFIG_CPU/g' | sed -e 's/x86_64/i$CONFIG_CPU/g' | sed -e 's/athlon-./i$CONFIG_CPU/g' | sed -e 's/athlon/i$CONFIG_CPU/g' | sed -e 's/$REALKERNEL/$KERNELVERSION/g'" > /bin/uname || exit 1
chmod +x /bin/uname || exit 1
test -f /bin/arch.old || cp /bin/arch /bin/arch.old || exit 1
echo "/bin/uname -m" > /bin/arch || exit 1
+ else
+ echo "ERROR !!!"
+ echo "Could not determine Kernel Version (variable \$KERNELVERSION not set)"
+ exit 1
+ fi
+
fi
LINK=${LINK##/*/}
|